print("Loading Room")
room = Room:create()

room:setEnterLocation(CCPoint(-120, 100))
room:setExitLocation(CCPoint(600, 100))

battlezone = Battlezone:create()
room:addChild(battlezone)

wave = BattlezoneWave:create()
wave:setMaxEnemiesOnScreen(EnemyType_Biker, 1)
wave:setMaxEnemiesOnScreen(EnemyType_Boomer, 1)
wave:setMaxEnemiesOnScreen(EnemyType_Brute, 1)
wave:setMaxEnemiesOnScreen(EnemyType_Fatty, 1)
wave:setMaxEnemiesOnScreen(EnemyType_Slider, 1)
wave:setMaxEnemiesOnScreen(EnemyType_Thug, 1)
battlezone:addChild(wave)

enemySpawner = EnemySpawner:create("Thug1", CCPoint(520.0, 10.0), CCPoint(520.0, 150.0))
enemySpawner:setMaxSpawnCount(50)
enemySpawner:setMaxAliveCount(1)
enemySpawner:setPassive(false)
wave:addChild(enemySpawner)

coroutine.yield(room)